<?php

/**
 * Plugin Name: Boostsite SEO Audit Tool
 * Plugin URI: https://boostsite.com/boostsite-wordpress-plugin/
 * Description: Powerful & Actionable SEO recommendations at Your Fingertips
 * Version: 1.0
 * Author: Boostsite team
 * Author URI:https://boostsite.com/
 */

if (!defined('ABSPATH')) {
    die('');
}

if (isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && ($_SERVER['HTTP_X_FORWARDED_PROTO'] === 'https')) {
    $_SERVER['HTTPS'] = 'on';
}

add_action('admin_menu', 'admin_setup_menu');

function admin_setup_menu()
{
    add_menu_page(
        'Boostsite',
        'Boostsite',
        'manage_options',
        'boostsite',
        'boostsite_init',
        plugin_dir_url(__FILE__) . 'assets/images/boostsite-icon.png'
    );
}

function boostsite_init()
{ ?>

    <style>
        #boostsite {
            width: 100%;
            height: 730px;
            border: 1px solid #c3c4c7;
            box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
        }

        @media(max-width:576px) {
            #boostsite {
                height: 1080px;
            }
        }
    </style>

    <div class="wrap">

        <h1 class="wp-heading-inline">Boostsite</h1>
        <iframe id="boostsite" frameBorder="0" scrolling="no" src="https://boostsite.com/wp/?url=<?php echo get_site_url() ?>"></iframe>

    </div>

<?php }
